Subject: bug#74140: [PATCH] Add :continue-only directive for repeat maps in bind-keys, use-package

From: "Paul D. Nelson" <[email-masked]>
Date: Mon, 24 Feb 2025 19:16:00 +0100

Juri Linkov <[email-masked]> writes:

> Thanks, I tried to run tests with your patch
> on the following part of 'repeat-tests-bind-keys'
> that was previously commented out:
>
>       ;; 'C-M-o' should not activate
>       (repeat-tests--check
>        "C-M-o c z"
>        '((1 o)) "cz")
>
> but this test fails.  I haven't yet investigated the reason.

Thanks.  I think the issue is with the test itself.  See the docs of
bind-key.  :continue already meant "no special behavior", so I used
:continue-only for the new behavior.